package p10_klasy.v4;

import java.util.ArrayList;
import java.util.List;

public class Student extends Osoba {
    int rok;
    String kierunek;
    List<Integer> oceny = new ArrayList<>();
    
    Student() {
    }
    
    Student(String imie, String nazwisko, int wiek, int rok, String kierunek) {
        super(imie, nazwisko, wiek);
        this.rok = rok;
        this.kierunek = kierunek;
    }

    void dodajOcene(int ocena) {
        oceny.add(ocena);
    }
    
    double sredniaOcen() {
        double suma = 0;
        for(int ocena : oceny) {
            suma += ocena;
        }
        return suma / oceny.size();
    }
    
}
